org.springframework.transaction.config

## Class TransactionManagementConfigUtils

- java.lang.Object
- - org.springframework.transaction.config.TransactionManagementConfigUtils

    public abstract class TransactionManagementConfigUtils
    extends Object

### Field Summary

Fields
`static String` `TRANSACTION_ADVISOR_BEAN_NAME` The bean name of the internally managed transaction advisor (used when mode == PROXY).
`static String` `TRANSACTION_ASPECT_BEAN_NAME` The bean name of the internally managed transaction aspect (used when mode == ASPECTJ).
`static String` `TRANSACTION_ASPECT_CLASS_NAME` The class name of the AspectJ transaction management aspect.
`static String` `TRANSACTION_ASPECT_CONFIGURATION_CLASS_NAME` The name of the AspectJ transaction management @`Configuration` class.

### Constructor Summary

Constructors
Constructor and Description
`TransactionManagementConfigUtils()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TRANSACTION_ADVISOR_BEAN_NAME

    public static final String TRANSACTION_ADVISOR_BEAN_NAME

The bean name of the internally managed transaction advisor (used when mode == PROXY).

See Also:
  Constant Field Values

#### TRANSACTION_ASPECT_BEAN_NAME

    public static final String TRANSACTION_ASPECT_BEAN_NAME

The bean name of the internally managed transaction aspect (used when mode == ASPECTJ).

See Also:
  Constant Field Values

#### TRANSACTION_ASPECT_CLASS_NAME

    public static final String TRANSACTION_ASPECT_CLASS_NAME

The class name of the AspectJ transaction management aspect.

See Also:
  Constant Field Values

#### TRANSACTION_ASPECT_CONFIGURATION_CLASS_NAME

    public static final String TRANSACTION_ASPECT_CONFIGURATION_CLASS_NAME

The name of the AspectJ transaction management @`Configuration` class.

See Also:
  Constant Field Values

### Constructor Detail

#### TransactionManagementConfigUtils

    public TransactionManagementConfigUtils()